<?php
$title = 'Создание нового тикета';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
if (isset($_REQUEST['submit'])) {
if ( isset( $_SESSION['csrf_token'] ) && $_SESSION['csrf_token'] == @$_POST['csrf_token'] )
{
$name = htmlspecialchars(trim($_POST['name']));
$text = htmlspecialchars(trim($_POST['text']));
$kat = htmlspecialchars(trim($_POST['kat']));
$vazh = htmlspecialchars(trim($_POST['vazh']));
if (empty($text)) $msg = ('Текст сообщения не заполнен!');
elseif (empty($name)) $msg = ('Название сообщения не заполнено!');
if(isset($msg)){
    /*Если есть ошибки*/
$_SESSION['message'] = $msg;
exit(header('Location: /my/tikets/add.aspx'));
}else{
    /*Если нет ошибок*/
$sql = $db->prepare('INSERT INTO `tikets` SET `name` = ?,`text` = ?,`time` = ?,us = ? , stat = ?, vazh = ?, kat = ?');
$sql -> execute([$name,$text,time(),$user['id'],2,$vazh,$kat]);
$id = $db->lastInsertId();
exit(header('Location: /my/tikets/info_'.$id.'.aspx'));
}
}
}
echo "<div class='top'>$title</div>";
$rang = array('1' => 'Технический отдел','2' => 'Отдел продаж','3' => 'Жалоба','4' => 'Дополнительные услуги');
$rv = array('1'=>'Низкая','2'=>'Средняя','3'=>'Высокая');
echo '
<div class="box"><form action="" method="POST">
<input name="csrf_token" type="hidden" value="'.generate_form_token(  ).'" />
Название :<br /><input type="text" class="form-control" name="name"> <br />
Текст :<br /><textarea class="form-control" name="text"></textarea><br />
Важность :</br> <select class="form-control" name="vazh">';
foreach($rv as $id => $do){
echo "<option value='{$id}'>{$do}</option>";
}
echo '</select></br>
Категория : </br> <select class="form-control" name="kat">';
foreach($rang as $id => $do){
echo "<option value='{$id}'>{$do}</option>";
}
echo '</select></br>
<input type="submit" name="submit" value="Сохранить">
</form></div>';

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');